Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray.tracing
Class PhotonMapping

    java.lang.Object
      de.grogra.ray.tracing.PhotonMapping

All Implemented Interfaces:
  RayProcessor

    public class PhotonMapping

extends java.lang.Object
implements RayProcessor

Funktioniert momentan nur mit Punktlichtquellen und Arealight Funktioniert nicht mit directional Light

Constructor Summary
`PhotonMapping()`

Method Summary
`void` | `clear()`
`void` | `createPhotonMap()`
`void` | `getColorFromRay(Ray ray, Color4f color4)` The main methode of a ray processor.
`LightProcessor` | `getLightProcessor()`
`int` | `getRecursionDepth()`
`boolean` | `hasFixedLightProcessor()`
`void` | `prepareRayProcessor(RTScene scene, IntersectionProcessor m_intersectionProcessor)` With this method the processor is initialized with a 3d scene and an intersection processor it will use.
`void` | `setLightProcessor(LightProcessor model)`
`void` | `setPhotonCount(int photonCount)`
`void` | `setRang(int range)`
`void` | `setRecursionDepth(int value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhotonMapping

    public PhotonMapping()

Method Detail

### clear

    public void clear()

### createPhotonMap

    public void createPhotonMap()

### getColorFromRay

    public void getColorFromRay(Ray ray,
                                Color4f color4)

  Description copied from interface: `RayProcessor`
  The main methode of a ray processor. This methode has to calculate a color (or luminance of the red, gren and blue ) for each ray.

  Specified by:
    `getColorFromRay` in interface `RayProcessor`
  Parameters:
    `ray` - input - calculate for this ray
    `color4` - output - the calculated color

### getLightProcessor

    public LightProcessor getLightProcessor()

  Specified by:
    `getLightProcessor` in interface `RayProcessor`

### getRecursionDepth

    public int getRecursionDepth()

  Specified by:
    `getRecursionDepth` in interface `RayProcessor`

### hasFixedLightProcessor

    public boolean hasFixedLightProcessor()

  Specified by:
    `hasFixedLightProcessor` in interface `RayProcessor`

### prepareRayProcessor

    public void prepareRayProcessor(RTScene scene,
                                    IntersectionProcessor m_intersectionProcessor)

  Description copied from interface: `RayProcessor`
  With this method the processor is initialized with a 3d scene and an intersection processor it will use.

  Specified by:
    `prepareRayProcessor` in interface `RayProcessor`

### setLightProcessor

    public void setLightProcessor(LightProcessor model)

  Specified by:
    `setLightProcessor` in interface `RayProcessor`

### setPhotonCount

    public void setPhotonCount(int photonCount)

### setRang

    public void setRang(int range)

### setRecursionDepth

    public void setRecursionDepth(int value)

  Specified by:
    `setRecursionDepth` in interface `RayProcessor`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD